Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044112
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2020-05-19 18:302020-05-25 16:44
ReporterjavietxeView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR20Q3
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044112: More info of why Cashup is required

DescriptionHaving the "Web POS Force cashup if date has changed" preference set to Y and the business date different from the local date, the cashup popup is raised to alert that a cashup is done.

Add a message explaining that in this case the reason is the difference of dates and the preference set to Y, distinguishing it from a cashup requested from errors while importing.
Steps To Reproduce- Set the "Web POS Force cashup if date has changed" preference to Y
- Set a passed date as business date
- Log in in a POS: the popup requesting a cashup will appear
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0120147)
hgbot (developer)
2020-05-22 05:30

Repository: erp/pmods/org.openbravo.retail.sessions
Changeset: b8498bc17576ec94cf68aac08f028283e21a7637
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Fri May 22 09:00:24 2020 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/b8498bc17576ec94cf68aac08f028283e21a7637 [^]

Related to issue-44112 : Added ADMessage for Force Cashup for different cases

* Added ADMessage for different Force Cashup cases
a) Having the "Web POS Force cashup if date has changed" preference set to Y and backoffice business date different from the local date
b) Till is closed in Backoffice and Cashup is pending
c) localstorage business date is different from backoffice business date and cashup is pending

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.sessions/js/components/loginhook.js
---
(0120148)
hgbot (developer)
2020-05-22 07:49

Repository: tools/automation/pi-mobile
Changeset: 09d5f2a3560381afccb43da1991d6dae1f2042d0
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Fri May 22 11:19:25 2020 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/09d5f2a3560381afccb43da1991d6dae1f2042d0 [^]

Verifies Issue 44112 : Modified Test I40868_VerifyCashupWithUnPaidOrder

* Modified following Test for changes in ADMessage
  I40868_VerifyCashupWithUnPaidOrder
  I34219_VerifyOpenTillOnCloseStore
  I36968_VerifyOpenTillAfterCloseStore

---
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/sessions/openstoretill/I34219_VerifyOpenTillOnCloseStore.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/sessions/openstoretill/I36968_VerifyOpenTillAfterCloseStore.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/sessions/openstoretill/I39569_VerifyDateWhenEnableCloseStoreInWebPOSPrefIsActive.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/sessions/openstoretill/I40868_VerifyCashupWithUnPaidOrder.java
---
(0120248)
jorge-garcia (developer)
2020-05-25 16:44

Code reviewed and tested

- Issue History
Date Modified Username Field Change
2020-05-19 18:30 javietxe New Issue
2020-05-19 18:30 javietxe Assigned To => Retail
2020-05-19 18:30 javietxe Triggers an Emergency Pack => No
2020-05-20 06:37 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-05-22 05:30 hgbot Checkin
2020-05-22 05:30 hgbot Note Added: 0120147
2020-05-22 07:03 ranjith_qualiantech_com Status new => scheduled
2020-05-22 07:49 hgbot Checkin
2020-05-22 07:49 hgbot Note Added: 0120148
2020-05-22 07:50 ranjith_qualiantech_com Status scheduled => resolved
2020-05-22 07:50 ranjith_qualiantech_com Resolution open => fixed
2020-05-25 16:44 jorge-garcia Review Assigned To => jorge-garcia
2020-05-25 16:44 jorge-garcia Note Added: 0120248
2020-05-25 16:44 jorge-garcia Status resolved => closed
2020-05-25 16:44 jorge-garcia Fixed in Version => RR20Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker